curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"description": "Two-person tent, green — replacement for damaged pole set.",
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
}'
{
"checkpoint": {
"config": {
"attention_heads": 1,
"dropout": 1.5,
"embedding_dim": 1,
"features": [],
"hidden_dims": [],
"max_sequence_length": 1
},
"created_at": 1,
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metrics": {
"accuracy": 1.5,
"epochs": 1,
"f1_score": 7.5,
"train_loss": 1.5,
"training_time_secs": 1,
"val_loss": 1.5
},
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
},
"checkpoint_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Save model checkpoint
Required scope: models:manage
POST
/
api
/
v1
/
model
/
checkpoints
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"description": "Two-person tent, green — replacement for damaged pole set.",
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
}'
{
"checkpoint": {
"config": {
"attention_heads": 1,
"dropout": 1.5,
"embedding_dim": 1,
"features": [],
"hidden_dims": [],
"max_sequence_length": 1
},
"created_at": 1,
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metrics": {
"accuracy": 1.5,
"epochs": 1,
"f1_score": 7.5,
"train_loss": 1.5,
"training_time_secs": 1,
"val_loss": 1.5
},
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
},
"checkpoint_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Required scope:
models:manage
Request body
SaveCheckpointRequest
string
Optional description
string
required
Checkpoint name
string[]
Tags for organization
string
required
Version string
Response
SaveCheckpointResponse
ModelCheckpoint
required
Show ModelCheckpoint
Show ModelCheckpoint
ModelConfig
required
integer (int64)
required
Creation timestamp (Unix ms)
string
Optional description
string
required
Unique checkpoint identifier
ModelMetrics
required
string
required
Human-readable name
string[]
Tags for organization
string
required
Version string (semver)
string
required
Created checkpoint ID
Status codes
| Code | Meaning |
|---|---|
201 | Checkpoint created |
400 | Invalid request |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"description": "Two-person tent, green — replacement for damaged pole set.",
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
}'
{
"checkpoint": {
"config": {
"attention_heads": 1,
"dropout": 1.5,
"embedding_dim": 1,
"features": [],
"hidden_dims": [],
"max_sequence_length": 1
},
"created_at": 1,
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metrics": {
"accuracy": 1.5,
"epochs": 1,
"f1_score": 7.5,
"train_loss": 1.5,
"training_time_secs": 1,
"val_loss": 1.5
},
"name": "Two-Person Tent",
"tags": [
"priority"
],
"version": "2026-08-01"
},
"checkpoint_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026